Download it now!
Bug 58381 - Unable to format Endnote page style to use multi-column layout
Summary: Unable to format Endnote page style to use multi-column layout
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.2.2 release
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Footnote-Endnote Page-Layout-Columns
  Show dependency treegraph
 
Reported: 2012-12-17 00:54 UTC by gabriel
Modified: 2019-07-18 03:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gabriel 2012-12-17 00:54:00 UTC
If I want to format Endnote page style so those pages are multicolumn formated, there is no effect in Endnote pages but in Default pages
Comment 1 Brenda Granados 2013-03-22 14:15:52 UTC
Hi, thank you for submitting a bug report. Here are the steps I followed to reproduce your issue:

1. Create a new Writer document. Add text in the main body.
2. Add a few (3-4) endnotes. Insert -> Footnote/Endnote. Select Endnote.
3. Click on the page with endnotes.
4. Press F11 to pull up the Styles and Formatting window. Select Page Styles, then highlight Endnote. 
5. Right click Endnote -> Modify. Select 3 columns.
6. Click Apply and then OK.

Expected Result: Endnotes page split into columns.

Actual Result: The other pages are split into columns. The Endnotes page is unaffected.

According to the LibreOffice wiki for Endnotes, the user should be able to change the page style of the endnotes page by going to Styles and then Page. So the above directions should work. I did find on the Inserting and Editing Footnotes and Endnotes page of the wiki that you can alter page properties by going to Format -> Page, and then selecting the Footnote tab. However, this only accounts for things like the separator line, and the distance from the main text, etc.

This is an annoying bug, but I think that the priority should be lowered. A major bug is something that includes broken functionality to print, install extensions, is tediously slow, or does not allow some documents to be opened. I would consider this as normal- prevents a user from making professional quality work. I hope you understand.

-Brenda


Version: Version 4.0.2.1 (Build ID: 7e5467ff8f30d821f4fbf69cb2769163eb64c2c)
Platform: Ubuntu Linux 12.04 LTS x64

----------------------------------------------

LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link: https://wiki.documentfoundation.org/QA/BugTriage  There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists
Comment 2 Owen Genat (retired) 2013-06-01 12:57:25 UTC
I have updated the title of this bug to more accurately reflect the fact that it relates to the Endnote page style and an inability to set a multi-column layout. I believe the reason why this does not work is because endnotes rely on a section definition (same as Insert > Section...). The section facility is also used to define columnar layout (where to start / stop). Setting the endnotes themselves in a columnar layout would require placing the notes in a separate section, rather than at the end of a section.
Comment 3 QA Administrators 2015-03-16 23:54:55 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-03-31 07:08:52 UTC
(In reply to Brenda Granados from comment #1)
> Hi, thank you for submitting a bug report. Here are the steps I followed to
> reproduce your issue:
> 
> 1. Create a new Writer document. Add text in the main body.
> 2. Add a few (3-4) endnotes. Insert -> Footnote/Endnote. Select Endnote.
> 3. Click on the page with endnotes.
> 4. Press F11 to pull up the Styles and Formatting window. Select Page
> Styles, then highlight Endnote. 
> 5. Right click Endnote -> Modify. Select 3 columns.
> 6. Click Apply and then OK.
> 
> Expected Result: Endnotes page split into columns.
> 
> Actual Result: The other pages are split into columns. The Endnotes page is
> unaffected.

Reproduced. Added dummy text after endnotes and the next page had 3 columns.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 8c3cf9dd48e40604867d3a28bddaccd65142df17
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-27_15:15:18
Locale: fi_FI
Comment 5 tommy27 2016-04-16 07:25:42 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-05-22 13:27:29 UTC Comment hidden (obsolete)
Comment 7 Thomas Lendo 2017-10-08 20:13:15 UTC
Still repro.

Version: 6.0.0.0.alpha0+
Build ID: 74b47af9885ba4c59195fedc1e0510b8b056a025
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: group
moggi's auto updater build, 2017-10-08
Comment 8 QA Administrators 2019-07-18 02:49:19 UTC
Dear gabriel,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug